.mobileMenu {
  --background-color-menu-open: var(--color-white);

  --color-language-link: var(--color-black-90);

  --fonsize-link: var(--fontsize-body-m);

  --margin-bottom-language-link: var(--spacing-s);
  --margin-bottom-language-select: 3.5rem;

  --margin-top-language-select: var(--spacing-xl);

  --padding-top-links-wrapper: 8rem;
}

.mobileMenu {
  position: fixed;
  top: -100vh;
  bottom: 100vh;
  left: 0;
  right: 0;
  overflow: hidden;
  background-color: transparent;
  transition: background-color 0.2s;
  display: grid;
  grid-template-rows: 1fr auto;
  visibility: hidden;
  height: 100%;

  &.menuOpen {
    top: 0;
    bottom: 0;
    background-color: var(--background-color-menu-open);
    z-index: 2;
    visibility: unset;
  }
}

.linksWrapper {
  padding-top: var(--padding-top-links-wrapper);
}

.languageSelect {
  margin-bottom: var(--margin-bottom-language-select);

  ul {
    list-style: none;
    padding: 0;
    margin: 0;
    margin-top: var(--margin-top-language-select);

    .languageLink {
      text-align: center;
      margin-bottom: var(--margin-bottom-language-link);

      a {
        color: var(--color-language-link);
        font-size: var(--fontsize-body-m);
        font-weight: normal;
        text-decoration: underline;
      }

      &.isSelected {
        font-weight: bold;
        text-decoration: none;
      }
    }
  }
}
